GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/bsd-kvm.h File Reference

Go to the source code of this file.

## Functions
void | bsd_kvm_add_target (int(*supply_pcb)(struct regcache *, struct pcb *))

## Function Documentation

## ◆ bsd_kvm_add_target()

void bsd_kvm_add_target | ( | int(*)(struct regcache *, struct pcb *) | supply_pcb | ) |

Definition at line 354 of file bsd-kvm.c.

References _, add_cmd(), add_prefix_cmd(), add_target(), bsd_kvm_close(), bsd_kvm_cmd(), bsd_kvm_cmdlist, bsd_kvm_fetch_registers(), bsd_kvm_files_info(), bsd_kvm_open(), bsd_kvm_ops, bsd_kvm_pcb_cmd(), bsd_kvm_pid_to_str(), bsd_kvm_proc_cmd(), bsd_kvm_ptid, bsd_kvm_return_one(), bsd_kvm_supply_pcb, bsd_kvm_thread_alive(), bsd_kvm_xfer_partial(), class_obscure, cmdlist, gdb_assert, OPS_MAGIC, process_stratum, ptid_build(), target_ops::to_close, target_ops::to_doc, target_ops::to_fetch_registers, target_ops::to_files_info, target_ops::to_has_memory, target_ops::to_has_registers, target_ops::to_has_stack, target_ops::to_longname, target_ops::to_magic, target_ops::to_open, target_ops::to_pid_to_str, target_ops::to_shortname, target_ops::to_stratum, target_ops::to_thread_alive, and target_ops::to_xfer_partial.

Referenced by _initialize_alphabsd_nat(), _initialize_amd64fbsd_nat(), _initialize_amd64obsd_nat(), _initialize_i386fbsd_nat(), _initialize_i386nbsd_nat(), _initialize_i386obsd_nat(), _initialize_m68kbsd_nat(), _initialize_ppcfbsd_nat(), _initialize_ppcnbsd_nat(), _initialize_ppcobsd_nat(), _initialize_sparc64fbsd_nat(), _initialize_sparc64nbsd_nat(), _initialize_sparc64obsd_nat(), _initialize_sparcnbsd_nat(), and _initialize_vaxbsd_nat().